%define name	perl-Crypt-OpenSSL-RSA
%define version	0.16
%define release	2mdk

Summary:	Crypt-OpenSSL-RSA module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Crypt-OpenSSL-RSA-0.16.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
Requires:	openssl
BuildRequires:	perl-devel
BuildRequires:	perl-Crypt-OpenSSL-Random
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildArch:	noarch

%description
Crypt-OpenSSL-RSA module for perl

%prep
%setup -q -n Crypt-OpenSSL-RSA-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/RSA/*
%{perl_vendorlib}/*/Crypt/OpenSSL/*
%{_mandir}/man*/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-2mdk
- build release

* Tue Nov 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-1mdk
- initial cooker contrib.
